| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | GET |
Zwraca liczbę osób oczekujących w kolejce oraz przewidywany czas oczekiwania na połączenie.
Dane zwrócone z zasobu prezentują dane z ostatniej godziny.
https://your-system-name.thulium.com/api/queues/:id/waiting_stats
|
id
wymagany |
Identyfikator kolejki.
Przykładowa wartość: 2
|
| GET | https://your-system-name.thulium.com/api/queues/2/waiting_stats |
{
"in_queue": 2,
"approx_wait_time": "00:00:30"
}
<?php $request = curl_init('https://your-system-name.thulium.com/api/queues/2/waiting_stats'); curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8')); curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass"); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/queues/2/waiting_stats"); System.out.println(response); } }
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/queues/2/waiting_stats"
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/queues/2/waiting_stats Accept:application/json